PHP-инклюдинг в PMECMS

Дата публикации:
07.05.2007
Всего просмотров:
1390
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PMECMS 1.x
Уязвимые версии: PMECMS 1.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "pathMod" в сценариях mod/image/index.php, mod/liens/index.php, mod/liste/index.php, mod/special/index.php и mod/texte/index.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]//mod/image/index.php?config[pathMod]=[file]
http://[host]//mod/liens/index.php?config[pathMod]=[file]
http://[host]//mod/liste/index.php?config[pathMod]=[file]
http://[host]//mod/special/index.php?config[pathMod]=[file]
http://[host]//mod/texte/index.php?config[pathMod]=[file]

URL производителя: www.pmecms.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA